/* === GAMES: Galeria === */
.galeria-steam-container {
  border-radius: 4px;
  max-width: 100%;

  box-sizing: border-box;
}

.wp-site-blocks .steam-main-slider {
  position: relative; 
  width: 100%;
  aspect-ratio: 16 / 9;
  margin-bottom: 15px;
  overflow: hidden;
}

.wp-site-blocks .steam-main-slider .swiper-wrapper {
  display: flex !important;
  flex-wrap: nowrap !important;
  width: max-content !important;
  max-width: none !important;
  padding: 0 !important;
}

.steam-main-slider .swiper-slide {
  width: 100%;
  flex-shrink: 0;
  margin-block-start: 0;
  box-sizing: border-box !important;
  flex-shrink: 0 !important;
  margin-right: 10px !important;
  margin-left: 0 !important;
}

.steam-main-slider .swiper-slide img, 
.steam-main-slider .swiper-slide video {
  width: 100%;
  height: 100%;
  object-fit: contain;
  margin: 0;
  max-width: 100% !important;
  display: block;
}

/* --- MINIATURAS (Ajustado el alto para dar espacio abajo al scrollbar) --- */
.steam-thumbs-slider {
  position: relative;
  width: 100%;
  height: 105px; 
  box-sizing: border-box;
  overflow: hidden;
  background-color: var(--color-bkg60);
  padding: var(--spacing-12);
  border-radius: var(--spacing-8);
}

.steam-thumbs-slider .swiper-wrapper {
  display: flex !important;
}

.steam-thumbs-slider .swiper-slide {
  width: 120px;
  height: 80px;
  opacity: 0.4;
  cursor: pointer;
  transition: opacity 0.2s;
  border: 2px solid transparent;
  flex-shrink: 0;
}

.steam-thumbs-slider .swiper-slide-thumb-active {
  opacity: 1;
  border-color: var(--color-accent);
  border-radius: var(--spacing-8);
}

.steam-thumbs-slider img,
.thumb-video-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.thumb-video-wrapper {
  position: relative;
  width: 100%;
  height: 100%;
}

.thumb-video-placeholder {
  width: 100%;
  height: 100%;
  background: #b056303b;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 12px;
  font-weight: bold;
}

.steam-thumbs-slider .thumb-item:hover {
    opacity: 1;
}

/* --- FLECHAS DE NAVEGACIÓN (Centradas y modificables) --- */
.steam-main-slider .swiper-button-next,
.steam-main-slider .swiper-button-prev {
  color: var(--color-accent);
  background: var(--color-bkg60);
  width: 50px;  
  height: 50px; 
  top: 50%;
  transform: translateY(-50%);
  transition: background-color 0.2s, transform 0.2s;
  border-radius: var(--spacing-8);
  margin-top: 0; 
  display: flex;
  align-items: center;
  justify-content: center;
}

.steam-main-slider .swiper-button-next::after,
.steam-main-slider .swiper-button-prev::after {
  content: ''; 
  width: 22px; 
  height: 18px; 
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  transition: background-image 0.2s; 
  background-image: url("data:image/svg+xml,%3Csvg width='25' height='21' viewBox='0 0 25 21' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M24.5 10.5L0.499991 10.5M14.2143 20.5L24.5 10.5L14.2143 0.499995' stroke='%23F5F5F3' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
}

.steam-main-slider .swiper-button-prev { 
  left: 10px; 
  transform: translateY(-50%); 
}

.steam-main-slider .swiper-button-prev::after {
  transform: rotate(180deg);
}

.steam-main-slider .swiper-button-next { 
  right: 10px; 
  transform: translateY(-50%);
}

.steam-main-slider .swiper-button-next:hover,
.steam-main-slider .swiper-button-prev:hover {
  background-color: var(--color-accent);
}

.steam-main-slider .swiper-button-next:hover::after,
.steam-main-slider .swiper-button-prev:hover::after {
  background-image: url("data:image/svg+xml,%3Csvg width='25' height='21' viewBox='0 0 25 21' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M24.5 10.5L0.499991 10.5M14.2143 20.5L24.5 10.5L14.2143 0.499995' stroke='%23ffffff' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
}



/* --- SCROLLBAR CON ESPACIO --- */
.steam-thumbs-slider .swiper-scrollbar {
  position: absolute;
  left: 0;
  bottom: 4px; 
  width: 100%;
  height: 6px;
  background-color: rgba(0, 0, 0, 0.2);
  border-radius: 4px;
}

.swiper-scrollbar-drag {
  background-color: var(--color-graphite);
  border-radius: 4px;
}


@media (min-width: 782px) {

  .trailer-screenshots .wp-block-column {
    display: flex;
    justify-content: space-between;
    gap: var(--spacing-80);
  }

  .galeria-steam-container {
    max-width: 60%;
    margin-block-start: 0;
  }
  

}